SYSTEMD-UDEVD.SERVICE(8)

NUME
systemd-udevd.service, systemd-udevd-control.socket, systemd-udevd-kernel.socket, systemd-udevd-varlink.socket, systemd-udevd - demon de gestionare a evenimentelor dispozitivelor

SINOPSIS

systemd-udevd.service

systemd-udevd-control.socket

systemd-udevd-kernel.socket

systemd-udevd-varlink.socket

/usr/lib/systemd/systemd-udevd [--daemon] [--debug] [--children-max=] [--exec-delay=] [--event-timeout=] [--resolve-names=early|late|never] [--version] [--help]

DESCRIERE

systemd-udevd ascultă evenimentele de tip uevents din nucleu. Pentru fiecare eveniment, systemd-udevd execută instrucțiunile corespunzătoare specificate în regulile udev. A se vedea udev(7).

Comportamentul demonului poate fi configurat folosind udev.conf(5), opțiunile din linia de comandă, variabilele de mediu și linia de comandă a nucleului, sau poate fi modificat dinamic cu udevadm control.SH OPȚIUNI

-d, --daemon
    Se detașează și se execută în fundal.

    Adăugată în versiunea 186.

-D, --debug
    Imprimă mesajele de depanare la ieșirea de eroare standard.

    Adăugată în versiunea 186.

-c, --children-max=
    Limitează numărul de evenimente executate în paralel.

    Adăugată în versiunea 186.

-e, --exec-delay=
    Amână execuția fiecărui parametru RUN{program} cu numărul dat de secunde. Această opțiune ar putea fi utilă atunci când se depanează blocările sistemului în timpul conectării dispozitivelor la „cald” cauzate de încărcarea unor module de nucleu care nu funcționează.

    Adăugată în versiunea 186.

-t, --event-timeout=
    Stabilește numărul de secunde de așteptare pentru terminarea evenimentelor. După acest interval de timp, evenimentele vor fi terminate. Valoarea implicită este de 180 de secunde.

    Adăugată în versiunea 216.

-s, --timeout-signal=
    Stabilește semnalul pe care systemd-udevd îl va trimite proceselor bifurcate după ce se atinge timpul de așteptare al evenimentelor. Această valoare poate fi înlocuită la pornire cu opțiunea de linie de comandă a nucleului udev.timeout_signal=. Stabilind semnalul la SIGABRT poate fi util pentru a depana timpii de așteptare a lucrărilor. Valoarea implicită este SIGKILL. Rețineți că definirea opțiunii în linia de comandă înlocuiește definiția din fișierul de configurare.

    Adăugată în versiunea 246.

-N, --resolve-names=
    Specifică momentul în care systemd-udevd trebuie să rezolve numele utilizatorilor și al grupurilor. Atunci când este stabilită la early (valoarea implicită), numele vor fi rezolvate atunci când regulile sunt analizate. Când este stabilită la late, numele vor fi rezolvate la fiecare eveniment. Când este stabilită la never, numele nu vor fi niciodată rezolvate și toate dispozitivele vor fi deținute de root.

    Adăugată în versiunea 186.

-h, --help
    Afișează acest mesaj de ajutor și iese.

--version
    Afișează informațiile despre versiune și iese.

LINIA DE COMANDĂ A NUCLEULUI

Parametrii cu prefixul „rd.” vor fi citiți atunci când systemd-udevd este utilizat într-un initrd, iar cei care nu au acest prefix vor fi procesați atât în initrd, cât și pe gazdă.

udev.log_level=, rd.udev.log_level=
    Stabilește nivelul jurnalului.

    Adăugată în versiunea 247.

udev.trace[=BOOL], rd.udev.trace[=BOOL]
    Activează/dezactivează înregistrarea urmăririi traseelor de execuție. Când este activată, udev.log_level= va fi ignorată, și se presupune nivelul „debug”.

    Adăugată în versiunea 258.

udev.children_max=, rd.udev.children_max=
    Limitează numărul de evenimente executate în paralel.

    Adăugată în versiunea 186.

udev.exec_delay=, rd.udev.exec_delay=
    Amână execuția fiecărui parametru RUN{program} cu numărul dat de secunde. Această opțiune ar putea fi utilă atunci când se depanează blocările sistemului în timpul conectării dispozitivelor la „cald” cauzate de încărcarea unor module de nucleu care nu funcționează.

    Adăugată în versiunea 186.

udev.event_timeout=, rd.udev.event_timeout=
    Așteaptă ca evenimentele să se termine până la numărul dat de secunde. Această opțiune ar putea fi utilă dacă evenimentele se termină din cauza faptului că modulele nucleului (controlorii) întârzie prea mult la inițializare.

    Adăugată în versiunea 216.

udev.timeout_signal=, rd.udev.timeout_signal=
    Specifică un semnal pe care systemd-udevd îl va trimite către procesele lucrărilor la expirarea timpului de așteptare. Rețineți că opțiunea din linia de comandă a nucleului prevalează atât asupra valorii din fișierul de configurare, cât și asupra celei din linia de comandă a programului.

    Adăugată în versiunea 246.

udev.blockdev_read_only, rd.udev.blockdev_read_only
    Dacă este specificată, marchează toate dispozitivele fizice de blocuri numai pentru citire pe măsură ce apar. Dispozitivele de bloc sintetice (cum ar fi dispozitivele de bloc loopback sau dispozitivele de cartografiere a dispozitivelor) sunt lăsate așa cum sunt. Acest lucru este util pentru a garanta că conținutul dispozitivelor de bloc fizice rămâne nemodificat în timpul execuției, de exemplu pentru a implementa sisteme complet fără stare, pentru testare sau pentru situații de recuperare în care sistemele de fișiere corupte nu trebuie să fie corupte în continuare prin modificări accidentale.

    Un dispozitiv de blocuri poate fi marcat din nou ca fiind inscriptibil prin emiterea comenzii blockdev --setrw, a se vedea blockdev(8) pentru detalii.

    Adăugată în versiunea 246.

net.ifnames=
    Interfețele de rețea sunt redenumite pentru a le oferi nume previzibile atunci când este posibil să fie folosite. Este activată în mod implicit; specificarea valorii 0 o dezactivează.

    Adăugată în versiunea 199.

net.naming_scheme=
    Interfețele de rețea sunt redenumite pentru a le da nume previzibile atunci când este posibil (cu excepția cazului în care este specificat net.ifnames=0, a se vedea mai sus). Cu această opțiune din linia de comandă a nucleului este posibil să se aleagă o versiune specifică a acestui algoritm și să se suprascrie valoarea implicită aleasă la compilare. Așteaptă unul dintre identificatorii de scheme de denumire enumerați în systemd.net-naming-scheme(7), sau„latest” pentru a selecta cea mai recentă schemă cunoscută (pentru această versiune specială a systemd-udevd.service).

    Rețineți că selectarea unei scheme specifice nu este suficientă pentru a stabiliza pe deplin denumirea interfeței: denumirea este în general derivată din atributele controlorului expuse de către nucleu. Pe măsură ce nucleul este actualizat, pot apărea atribute care lipseau anterior, atributele pe care systemd-udevd.service le verifică, ceea ce afectează și algoritmii mai vechi de derivare a numelor.

    Adăugată în versiunea 240.

net.ifname_policy=politica1[,politica2,...][,MAC]
    Specifică politicile de denumire aplicate la redenumirea interfețelor de rețea. Acceptă o listă de politici și o adresă MAC opțională separate prin virgule. Fiecare valoare a politicii trebuie să fie una dintre politicile înțelese de parametrul NamePolicy= din fișierele .link, adică „onboard” sau „path”. A se vedea systemd.link(5) pentru mai multe detalii. Atunci când este specificată adresa MAC, politicile sunt aplicate la interfața care are adresa respectivă. Atunci când nu este specificată nicio adresă MAC, politicile se aplică tuturor interfețelor. Acest argument din linia de comandă a nucleului poate fi specificat de mai multe ori.

    Acest argument nu este citit direct de systemd-udevd, ci este convertit într-un fișier .link de către systemd-network-generator.service(8). Pentru ca acest argument să aibă efect, systemd-network-generator.service trebuie să fie activat.

    Exemplu:

        net.ifname_policy=keep,kernel,path,slot,onboard,01:23:45:67:89:ab
        net.ifname_policy=keep,kernel,path,slot,onboard,mac

    Acest lucru este în mare parte echivalent cu crearea următoarelor fișiere .link:

        # 91-name-policy-with-mac.link
        [Match]
        MACAddress=01:23:45:67:89:ab

        [Link]
        NamePolicy=keep kernel path slot onboard
        AlternativeNamePolicy=path slot onboard

    și

        # 92-name-policy-for-all.link
        [Match]
        OriginalName=*

        [Link]
        NamePolicy=keep kernel path slot onboard mac
        AlternativeNamePolicy=path slot onboard mac

    Adăugată în versiunea 250.

CONSULTAȚI ȘI

udev.conf(5), udev(7), udevadm(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.